Get Rmq Configuration

Get Rmq Configuration
Get RMQ

Retrieves the current RabbitMQ (RMQ) configuration for VCD deployments. Passwords are automatically redacted from the response for security. This is a single-item configuration.

Request
URI
GET
https://{server}:9443/api/admin/global/config/rmq
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved RMQ configuration

Returns RmqGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "rmq",
                "config": {
                    "hosts": [
                        {
                            "host": "rmq.vcd.example.com",
                            "port": "5672",
                            "userName": "admin"
                        }
                    ],
                    "UUID": "f6a7b8c9-d0e1-2345-f123-456789012345"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section rmq not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/rmq